<div class="columns">
  <div class="column">
    <div class="heading">
      <h1 class="title">Protokolle</h1>
    </div>
  </div>
</div>

<div class="columns">

  <!-- left column - form -->
  <div class="column">

    <div class="heading">
      <h2 class="subtitle">
        Protokoll {{vm.updating ? 'bearbeiten' : 'anlegen'}}
        <button type="button"
                class="button is-small is-primary is-inverted"
                ng-click="vm.insertText()">
          Vorlagen anwenden
        </button>
      </h2>
    </div>

    <div class="content">
      <ng-form name="articleForm"
               novalidate="">
        <div class="columns">
          <div class="column is-three-quarters">
            <div class="">
              <label class="label">Titel</label>
              <p class="control has-icon has-icon-right">
                <input class="input"
                       type="text"
                       name="titleTF"
                       id="titleTF"
                       ng-model="vm.protocol.title"
                       placeholder="{{vm.titlePlaceholder}}"
                       required ng-required="true">
                <i class="fa fa-warning"
                   ng-if="articleForm.titleTF.$touched && !articleForm.titleTF.$valid">
                </i>
                <span class="help is-danger is-pulled-right"
                      ng-if="articleForm.titleTF.$touched && !articleForm.titleTF.$valid">
                  Titel ist erforderlich.
                </span>
              </p>
            </div>
          </div>
          <div class="column is-one-quarter">
            <div class="">
              <label class="label">Sachgebiet</label>
              <p class="control">
                <span class="select is-fullwidth">
                  <select class="form-control"
                          ng-model="vm.protocol.department"
                          ng-options="department.numeral for department in vm.departments track by department.id"
                          ng-change="vm.updateForm()">
                  </select>
                </span>
              </p>
            </div>
          </div>
        </div>

        <label class="label">Kurzbeschreibung</label>
        <p class="control has-icon has-icon-right">
          <input class="input"
                 type="text"
                 name="shortTF"
                 id="shortTF"
                 ng-model="vm.protocol.shortText"
                 placeholder="{{vm.shortTextPlaceholder}}"
                 required>
          <i class="fa fa-warning"
             ng-if="articleForm.shortTF.$touched && !articleForm.shortTF.$valid">
          </i>
          <span class="help is-danger is-pulled-right"
                ng-if="articleForm.shortTF.$touched && !articleForm.shortTF.$valid">
            Kurzbeschreibung ist erforderlich.
          </span>
        </p>

        <!--<label class="label">Langtext (optional)</label>
        <p class="control">
          <textarea class="input"
                    type="text"
                    placeholder="Langtext" />
        </p>-->

        <label class="label">Anhänge</label>
        <p class="control">
          <div class="level" ng-repeat="link in vm.protocol.links track by $index">
            <div class="level-left">
              <div class="level-item">
                {{link.name}}
              </div>
              <div class="level-item">
                <a ng-click="vm.followLink(link)">Link folgen</a>
              </div>
            </div>
            <div class="level-right">
              <div class="level-item">
                <div class="control">
                  <button class="button is-danger is-inverted"
                          ng-click="vm.removeLink($index, link)">
                    <span>entfernen</span>
                  </button>
                </div>
              </div>
            </div>
          </div>
        </p>
      </ng-form>

       <div class="content">
        <fa-link-creator article-links="vm.protocol.links"></fa-link-creator>
      </div>

      <div class="content">
        <p class="control is-grouped">
          <button type="button" 
                  class="button is-success"
                  ng-disabled="!articleForm.$valid"
                  ng-hide="vm.updating"
                  ng-click="vm.create()">
            Speichern
          </button>
          <button type="button"
                  class="button is-warning"
                  ng-show="vm.updating"
                  ng-click="vm.update()">
            Ändern
          </button>
          <button type="button" 
                  class="button is-default"
                  ng-click="vm.cancel()">
            Abbrechen
          </button>
        </p>
      </div>

      <div class="content">
        <!--<label class="label">Vorschau</label>-->
        <p class="control">
          <button class="button is-inverted is-primary is-fullwidth"
                  ng-click="vm.togglePreview()">
            {{vm.previewVisible ? 'Vorschau ausblenden' : 'Vorschau anzeigen'}}
          </button>
        </p>
        <div ng-if="vm.previewVisible">
          <fa-article-list articles="[vm.protocol]"></fa-article-list>
        </div>
      </div>

    </div><!-- .content -->
  </div><!-- .column -->

  <div class="column is-1"></div><!-- .column -->

  <!-- right column - list -->
  <div class="column">

    <fa-article-panel articles="vm.protocols"
                      heading="'Vorhandene Protokolle'">
    </fa-article-panel>
  </div><!-- .column -->

</div><!-- .columns -->
